#include "CartersSpark.h"
#include "CartersSparkComponent.h"
#include "InteractionAttacherComponent.h"

class ASurvivor;

bool ACartersSpark::CancelSurvivorInteraction(ASurvivor* survivor) const
{
	return false;
}

void ACartersSpark::Authority_StartShockAttackComboTimer(ASurvivor* shockedSurvivor)
{

}

ACartersSpark::ACartersSpark()
{
	this->_survivorCartersSparkComponentClass = NULL;
	this->_doctorBlockInterruptEffect = NULL;
	this->_madnessStatusEffect = NULL;
	this->_illusionaryDoctorEffect = NULL;
	this->_cartersSparkComponent = CreateDefaultSubobject<UCartersSparkComponent>(TEXT("CartersSparkComponent"));
	this->_interactionAttacherComponent = CreateDefaultSubobject<UInteractionAttacherComponent>(TEXT("InteractionAttacherComponent"));
}
